Bug 1852584 (CVE-2020-15393) - CVE-2020-15393 kernel: memory leak in usbtest_disconnect function in drivers/usb/misc/usbtest.c
Summary: CVE-2020-15393 kernel: memory leak in usbtest_disconnect function in drivers/...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-15393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1852585
Blocks: 1852586
TreeView+ depends on / blocked
 
Reported: 2020-06-30 18:53 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-08-04 14:17 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-01 11:19:18 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-06-30 18:53:59 UTC
In the Linux kernel through 5.7.6, usbtest_disconnect in drivers/usb/misc/usbtest.c has a memory leak.

Reference:
https://lkml.org/lkml/2020/6/2/968

Upstream commit:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=28ebeb8db77035e058a510ce9bd17c2b9a009dba

Comment 1 Guilherme de Almeida Suckevicz 2020-06-30 18:55:15 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1852585]

Comment 2 Justin M. Forbes 2020-07-01 14:18:34 UTC
Fedora is not impacted as # CONFIG_USB_TEST is not set


Note You need to log in before you can comment on or make changes to this bug.